package agent

import (
	"encoding/json"
	"testing"
	"git.loafle.net/overflow/overflow_proxy_service/proxy/member"
)

func TestSaveAgent(t *testing.T) {
	m := member.Member{}
	m.Id = json.Number("1")

	agt := NewAgent("test agent424", m)
	as := NewAgentService()

	res, err := as.SaveAgent(agt)
	if err != nil {
		t.Log(res)
	}
}


func TestListAgent(t *testing.T) {
	as := NewAgentService()
	if res, err := as.getAgentList("1"); err != nil {
		t.Fatal(err)
	}else {
		t.Log(res)
	}

}
