package target

import (
	"testing"
	//"git.loafle.net/overflow/overflow_proxy_service/proxy/member"


	"git.loafle.net/overflow/overflow_proxy_service/proxy/member"

)

func TestCreateTarget(t *testing.T) {


	tt := Target{
		Ip:3232235882,
		Port:5432,
		TargetType:"DATABASE",
		Kinds:"PostgreSQL0000000",
		Version:"9.5.0",
		VendorName:"PostgreSQL 9.5.0",
		PortType:"TCP",
		Member:&member.Member{Id:"1"},
	}

	ts := NewTargetService()


	ts.Create(&tt)


}


func TestFindAll(t *testing.T) {
	tt := Target{
		Member:&member.Member{Id:"1"},
	}

	ts := NewTargetService()


	str := ts.List(&tt)
	t.Log(str)
}


func TestCreateAll(t *testing.T) {

	tl := make([]*Target, 0)

	tl = append(tl, &Target{
		Ip:3232235882,
		Port:5432,
		TargetType:"DATABASE",
		Kinds:"PostgreSQL2222",
		Version:"9.5.0",
		VendorName:"PostgreSQL 9.5.0",
		PortType:"TCP",
		Member:&member.Member{Id:"1"},
	})

	tl = append(tl, &Target{
		Ip:3232235882,
		Port:5432,
		TargetType:"DATABASE",
		Kinds:"PostgreSQL3333",
		Version:"9.5.0",
		VendorName:"PostgreSQL 9.5.0",
		PortType:"TCP",
		Member:&member.Member{Id:"1"},
	})

	tl = append(tl, &Target{
		Ip:3232235882,
		Port:5432,
		TargetType:"DATABASE",
		Kinds:"PostgreSQL4444",
		Version:"9.5.0",
		VendorName:"PostgreSQL 9.5.0",
		PortType:"TCP",
		Member:&member.Member{Id:"1"},
	})

	tl = append(tl, &Target{
		Ip:3232235882,
		Port:5432,
		TargetType:"DATABASE",
		Kinds:"PostgreSQL5555",
		Version:"9.5.0",
		VendorName:"PostgreSQL 9.5.0",
		PortType:"TCP",
		Member:&member.Member{Id:"1"},
	})

	tl = append(tl, &Target{
		Ip:3232235882,
		Port:5432,
		TargetType:"DATABASE",
		Kinds:"PostgreSQL6666",
		Version:"9.5.0",
		VendorName:"PostgreSQL 9.5.0",
		PortType:"TCP",
		Member:&member.Member{Id:"1"},
	})


	ts := NewTargetService()


	ts.CreateListTT(&tl)

}

